{
    "compilerOptions": {
        "target": "es2017",
        "module": "commonjs",
        "lib": ["esnext", "dom"],
        "noEmit": true,
        "strict": true,
        "noFallthroughCasesInSwitch": true,
        "noImplicitOverride": true,
        "noImplicitReturns": true,
        "noUnusedLocals": true,
        "noUnusedParameters": true,

        "forceConsistentCasingInFileNames": true,
        "esModuleInterop": true,
        "sourceMap": true,
        "baseUrl": ".",
        "allowUnusedLabels": false,
        "removeComments": false,
        "resolveJsonModule": true,
        "paths": {
            "@actor": ["src/module/actor"],
            "@actor/*": ["src/module/actor/*"],
            "@item": ["src/module/item"],
            "@item/*": ["src/module/item/*"],
            "@scene": ["src/module/scene"],
            "@scene/*": ["src/module/scene/*"],
            "@system/*": ["src/module/system/*"],
            "@module/*": ["src/module/*"],
            "@scripts/*": ["src/scripts/*"],
            "@util": ["src/util"],
            "@util/*": ["src/util/*"],
            // https://github.com/Hypercubed/mini-signals/issues/20
            "mini-signals": [
                "node_modules/resource-loader/typings/mini-signals.d.ts"
            ]
        },
        "types": [
            "jquery",
            "tooltipster",
            "jest",
            "node",
            "handlebars"
        ],
        "typeRoots": [
            "node_modules/@types",
            "node_modules/handlebars",
            "types/foundry"
        ]
    },
    "ts-node": {
        "files": true
    }
}
